# Loader | tablefilter v0.4.16 API Document

    import {Loader} from 'tablefilter/src/modules/loader.js'

public class | source

# Loader

#### Extends:

Feature → Loader

Activity indicator

## Constructor Summary

Public Constructor
public | constructor (tf: TableFilter) Creates an instance of Loader. |

## Member Summary

Public Members
public | closeDelay : Number Close delay in milliseconds |
public | cont : DOMElement Loader container DOM element |
public | cssClass : String Css class for Loader's container element |
public | html : String Custom HTML injected in Loader's container element |
public | initialized : boolean |
public | onHide : Function Callback fired when loader is closed |
public | onShow : Function Callback fired when loader is displayed |
public | targetId : String ID of custom container element |
public | text : String Text displayed when indicator is visible |

## Method Summary

Public Methods
public | destroy () Removes feature |
public | init () Initializes Loader instance |
public | show (Two: String) Shows or hides activity indicator |

## Inherited Summary

From class Feature
public | config : Object TableFilter configuration |
public | emitter : Emitter TableFilter emitter instance |
public | enabled : Boolean TableFilter feature setting |
public | feature : String Feature name |
public | initialized : Boolean Field indicating whether Feature is initialized |
public | tf : TableFilter TableFilter instance |
public | destroy () Destroy the feature |
public | disable () Disable the feature |
public | enable () Enable the feature |
public | init () Initialize the feature |
public | isEnabled (): Boolean Indicate whether the feature is enabled or not |
public | reset () Reset the feature after being disabled |

## Public Constructors

### public constructor(tf: TableFilter) source

Creates an instance of Loader.

#### Override:

Feature#constructor

#### Params:

Name | Type | Attribute | Description
tf | TableFilter |  | TableFilter instance

## Public Members

### public closeDelay: Number source

Close delay in milliseconds

### public cont: DOMElement source

Loader container DOM element

### public cssClass: String source

Css class for Loader's container element

### public html: String source

Custom HTML injected in Loader's container element

### public initialized: boolean source

#### Override:

Feature#initialized

### public onHide: Function source

Callback fired when loader is closed

### public onShow: Function source

Callback fired when loader is displayed

### public targetId: String source

ID of custom container element

### public text: String source

Text displayed when indicator is visible

## Public Methods

### public destroy() source

Removes feature

#### Override:

Feature#destroy

### public init() source

Initializes Loader instance

#### Override:

Feature#init

### public show(Two: String) source

Shows or hides activity indicator

#### Params:

Name | Type | Attribute | Description
Two | String |  | possible values: '' or 'none'